@import "src/styles.scss";

.MenuLateral {
  @extend .col-md-2;
  @extend .d-none;
  @extend .d-md-block;
  // @extend .bg-gradient-light;
  @extend .sidebar;
  background-color: #f7f7f7;
  background-image: linear-gradient(-90deg, #f7f7f7 10%, #cec9c9ab 100%);
  background-size: cover;
}

.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 48px 0 0; /* Height of navbar */
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, 0.1);
}

.sidebar-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: 1.5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
  .sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
  }
}

.sidebar {
  font-weight: 500;
  // color: #333;
}

.nav-link {
  @extend .h6;
}

.sidebar .feather {
  margin-right: 4px;
}

.sidebar .nav-link.active {
  color: #007bff;
}

.nav-item > a.active {
  // color: #007bff !important;
  @extend .text-primary;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  @extend .h5;
  @extend .text-body;
  text-transform: unset;
}
